summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJonathan Maw <jonathan.maw@codethink.co.uk>2012-11-06 11:24:05 +0000
committerJannis Pohlmann <jannis.pohlmann@codethink.co.uk>2012-11-06 11:59:52 +0000
commit6e89ce440487aee7302ddf82ff32c16d6010af25 (patch)
tree407d4824de2cacd9d5684655c61d4d25089b4472
parent4f4c2c1924c480459ccf75316bee23073b6339d3 (diff)
downloadnode-startup-controller-6e89ce440487aee7302ddf82ff32c16d6010af25.tar.gz
Add autogen script
This commit simplifies the build process by adding an autogen script to handle the creation of an m4 directory and execution of gtkdocize and autoreconf. Documentation on building has been updated accordingly. Signed-off-by: Jonathan Maw <jonathan.maw@codethink.co.uk> Signed-off-by: Jannis Pohlmann <jannis.pohlmann@codethink.co.uk>
-rwxr-xr-xautogen.sh13
-rw-r--r--docs/reference/node-startup-controller/building.xml2
2 files changed, 14 insertions, 1 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 0000000..634ceb0
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,13 @@
+#!/bin/sh
+
+# -
+# Copyright (c) 2012 GENIVI.
+#
+# This Source Code Form is subject to the terms of the Mozilla Public
+# License, v. 2.0. If a copy of the MPL was not distributed with this
+# file, You can obtain one at http://mozilla.org/MPL/2.0/.
+set -e
+
+test -d m4 || mkdir m4
+gtkdocize
+autoreconf -ivf
diff --git a/docs/reference/node-startup-controller/building.xml b/docs/reference/node-startup-controller/building.xml
index 0c70470..3b4b08c 100644
--- a/docs/reference/node-startup-controller/building.xml
+++ b/docs/reference/node-startup-controller/building.xml
@@ -64,7 +64,7 @@
final build scripts (<literal>configure</literal> and
<literal>Makefile</literal> files) from the templates shipped along with the
source code:
- <programlisting>(test -d m4 || mkdir m4) &amp;&amp; gtkdocize &amp;&amp; autoreconf -ivf</programlisting>
+ <programlisting>./autogen.sh</programlisting>
</para>
</formalpara>
</listitem>